import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Arrays;

public class Hindenburg {

    public static void main(String[] args) {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        int n, p;
        int[] codes;
        double[] Ls;
        String[] pattern;

        try {
            String[] line = br.readLine().split("\\s+");
            n = Integer.parseInt(line[0]);
            codes = new int[n];
            Ls = new double[n];

            pattern = br.readLine().split("\\s+");

            for (int i = 0; i < pattern.length; i++) {
                codes[i] = Integer.parseInt(pattern[i]);
            }

            System.out.println(Arrays.toString(codes));
            double L = 0;

            for (int i = 0; i < codes.length;i++) {
                Ls[i] = -(Math.log(codes[i]) / Math.log(2)) + 30;
            }
            //pro kazdy kod zjistit L

            System.out.println(Arrays.toString(Ls));

            double sum = Ls[1] + Ls[2];

            double res = Math.pow(2, 30 - sum);
            System.out.println(res);
        }
        catch (IOException e) {
            e.printStackTrace();
        }
    }
}
